package com.pixelized.headache.ui.navigation.destination

import androidx.navigation3.runtime.EntryProviderScope
import com.pixelized.headache.ui.navigation.home.HomeDestination
import com.pixelized.headache.ui.navigation.home.HomeNavigator
import com.pixelized.headache.ui.page.summary.yearly.YearSummaryPage

data object YearSummaryDestination : HomeDestination

fun EntryProviderScope<Any>.yearSummaryDestinationEntry() {
    entry<YearSummaryDestination> {
        YearSummaryPage()
    }
}

fun HomeNavigator.navigateToYearSummary() {
    goTo(YearSummaryDestination)
}